:example: noncompliant.adoc

include::../description.adoc[]

=== Exceptions

The rule ignores code blocks that contain comments unless they are `synchronized` blocks because these can affect program flow.

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
